Attribute VB_Name = "templatedata"
Public objapp As SolidEdgeFramework.Application

Public origholecol As SolidEdgePart.HoleDataCollection
Public newholecol As SolidEdgePart.HoleDataCollection
'Public objdocs As SolidEdgeFramework.Documents
Public origdoc As SolidEdgePart.PartDocument
Public newdoc As SolidEdgePart.PartDocument
Public origname As String
Public newname As String

Public Sub transferholedata()
Set origholecol = origdoc.HoleDataCollection
Set newholecol = newdoc.HoleDataCollection

Dim hole As HoleData

For Each hole In origholecol
    newholecol.Add(hole.HoleType, hole.HoleDiameter, hole.CounterboreDiameter, hole.CounterboreDepth, hole.CountersinkDiameter, hole.CountersinkAngle, hole.BottomAngle, hole.TreatmentType, hole.TaperMethod, hole.Taper, hole.ThreadMinorDiameter, hole.ThreadDepthMethod, hole.ThreadDepth, hole.VBottomDimType, hole.TaperDimType, hole.CounterboreProfileLocationType, hole.TaperLValue, hole.TaperRValue, hole.ThreadExternalDiameter, hole.ThreadDescription).Name = hole.Name
    
Next
newdoc.Save
End Sub
Public Sub ConnectToSolidEdge()
' Connect to application
    On Error Resume Next
    Set objapp = Nothing
    Set objapp = GetObject(, "SolidEdge.Application")
    
'determine if solid edge is running if not tell user
    If objapp Is Nothing Then
    Set objapp = CreateObject("SolidEdge.Application")
    End If
   
End Sub
Public Sub initapp()
ConnectToSolidEdge
Set origdoc = objapp.Documents.Open(origname, , , True)
Set newdoc = objapp.Documents.Open(LCase(newname), , , True)



transferholedata


End Sub
